Bug 110074 - LTC5372-RPM lock up within NFS server
LTC5372-RPM lock up within NFS server
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: nfs-utils (Show other bugs)
2.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-14 12:36 EST by Bob Johnson
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 15:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Kelleher 2003-11-14 12:36:48 EST
The following has be reported by IBM LTC:  
RPM lock up within NFS server
Hardware Environment: HPQ 4 ways with 16 GB memeory and 2.8 Ghz with SCSI 
attached storage (about 4 TB per server)

Software Environment: RHEL 3 GA


Steps to Reproduce:
1.simultaneous application of DB2 FPs across a cluster from NFS server
2.
3.

Actual Results: RPMs get locked up in the storage server, as we try to 
simultaneously apply DB2 FPs (install RPMS) across a cluster

Expected Results:DB2 FPs are supposed to be able to install
simultanaesly.   
Right now our only solution is to do so one machine at a time which is
quite 
time consuming.

Additional Information:  We have one NFS server that is connected to
about 4 
other machines and with SCSI attached storage.  When we try to deploy
the DB2 
FPs across all the machines in the cluster at once, the RPM gets
locked and 
prevents us from doing so.This is the error msg we got when we were
installing the FPs:

Updating to IBM_db2secl81-8.1.0-32.i386.rpm ...
error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted (1)
error: cannot open Packages database in /var/lib/rpmGlen/Greg - Please
submit this to Red Hat.  This is best to be resolved by
Red Hat.  Thanks.
Comment 1 Bob Johnson 2003-11-17 12:20:34 EST
Need info, details discussed on Friday have not been added.
Which kernel version, linux threads ? etc.

This probably should have some thru issue tracker (my fault) for not
steering it there.
Comment 2 Florbela Vieira 2003-11-18 13:27:47 EST
Workaround for this issue:
Solution so far is implementing the fixpak one server at a time or 
copying the fixpak local onto each server which is pain for 500 MB 
fixpaks.

More information on this later today or tomorrow.
Comment 3 Florbela Vieira 2003-11-21 10:05:22 EST
After attempting to install the Fixpacks on the cluster we realized 
that we were missing some basic files from the install directories 
(db2_all as an example).  We then moved to a process of de-installing 
and re-installing both fixpak 4 and our base fixpak 3 on each of the 
nodes to help us identify the original errors (also modified the 
install script to include the --nodeps and --force options on the rpm 
command).  After several iterations of this, it appears that the 
following example error was our original issue (this error would show 
up on different packages each time we tried):

Updating to IBM_db2secl81-8.1.0-32.i386.rpm ...
error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted 
(1)
error: cannot open Packages database in /var/lib/rpm

The following environmental facts I believe contributed to our 
problems:
-Our Install package was unpacked onto an NFS mounted directory that 
is available to all 4 machines in our cluster.
-DB2 is being installed onto local drives.  
- Both fixpak source and DB2 install directories are defined EXT3 
(journaled)

So, with this combination the file system was not keeping up with the 
fixpak apply process.
On the final server,  we first moved the Install package onto local 
disk.  We had success there on the first try after doing this.
Comment 4 IBM Bug Proxy 2003-12-12 14:11:27 EST
------ Additional Comments From markwiz@us.ibm.com  2003-12-12 14:10 -------
HedHat would like to know, are you running with Linux Threads or NPTL? 
Comment 5 IBM Bug Proxy 2004-01-06 10:01:34 EST
------ Additional Comments From khoa@us.ibm.com  2004-01-06 03:29 -------
Bela - can you respond to Red Hat's question above ?  Thanks. 
Comment 6 IBM Bug Proxy 2004-01-06 13:02:22 EST
------ Additional Comments From fvieira@ca.ibm.com  2004-01-06 12:50 -------
The system in question was setup with the default threading model (no specific 
changes were made to ensure one particular threading model was being used, so 
the default that is packaged with RHEL 3 should be active).   As far as I know 
DB2 picks up on Linux threads. 
Comment 7 Bob Johnson 2004-02-16 13:37:39 EST
default for RHEL 3 is NPTL, you must set the environment variable for
LD_ASSUME_KERNEL to get the older Linux Threads.
Comment 8 IBM Bug Proxy 2004-02-23 02:19:18 EST
----- Additional Comments From khoa@us.ibm.com  2004-02-23 02:21 -------
Glen - We need to re-open the bug report in Red Hat Bugzilla as this issue has
not been resolved yet.  Thanks. 
Comment 9 IBM Bug Proxy 2004-03-18 00:55:30 EST
----- Additional Comments From khoa@us.ibm.com  2004-03-18 00:55 -------
We really need an update from Red Hat on this bug.  Thanks. 
Comment 10 IBM Bug Proxy 2004-03-18 00:56:05 EST
----- Additional Comments From khoa@us.ibm.com  2004-03-18 00:56 -------
This has been put on RHEL3 U2 list as a Sev2. 
Comment 11 IBM Bug Proxy 2004-03-28 17:52:20 EST
----- Additional Comments From khoa@us.ibm.com  2004-03-28 17:54 -------
This is now Sev2 on RHEL3 U3 list. 
Comment 12 IBM Bug Proxy 2004-05-13 13:46:37 EDT
----- Additional Comments From markwiz@us.ibm.com  2004-05-13 13:43 -------
Please respond to Bob's comment #9.
Did you set the enviorment variable and does this fix the problem or not? 
Comment 13 IBM Bug Proxy 2004-06-08 13:31:04 EDT
----- Additional Comments From khoa@us.ibm.com  2004-06-08 13:28 -------
Have not heard from bug submitter, so I assume that everything is ok.
Please re-open this bug report if that is not the case.  Thanks. 
Comment 16 IBM Bug Proxy 2005-06-14 19:22:23 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |mranweil@us.ibm.com
             Status|REJECTED                    |CLOSED




------- Additional Comments From mranweil@us.ibm.com  2005-06-14 19:10 EDT -------
Non-duplicate rejected bug that's been rejected for over 6 months.  Marking
closed, you can re-open if needed. 

Note You need to log in before you can comment on or make changes to this bug.